Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.classifier
Enum MeasureParameters.Measure

    java.lang.Object
      java.lang.Enum<MeasureParameters.Measure>
          de.jstacs.classifier.MeasureParameters.Measure

All Implemented Interfaces:
  Serializable, Comparable<MeasureParameters.Measure>

Enclosing class:
  MeasureParameters

    public static enum MeasureParameters.Measure

extends Enum<MeasureParameters.Measure>

This `enum` defines all measures that are currently implemented in Jstacs.

Author:
  Jan Grau

Enum Constant Summary
`AreaUnderPrecisionRecallCurve` The area under the precision recall (PR) curve.
`AreaUnderROCCurve` The area under the receiver operating characteristic (ROC) curve.
`ClassificationRate` The ratio of correctly classified sequences and all sequences.
`FalsePositiveRate` The false positive rate FP / (FP + TN) for a fixed, previously chosen sensitivity TP / (TP + FN).
`MaximumCorrelationCoefficient` The maximum of all possible correlation coefficients.
`PartialROCCurve` A part of the ROC curve on a grid between minimum and maximum specificity.
`PositivePredictiveValue` The positive predictive value TP / (TP+FP) for a fixed, previously chosen sensitivity TP / (TP + FN).
`PrecisionRecallCurve` The points of the precision recall (PR) curve.
`ReceiverOperatingCharacteristicCurve` The points of the receiver operating characteristic (ROC) curve.
`Sensitivity` The sensitivity TP / (TP + FN) for a fixed, previously chosen specificity TN / (FP + TN).

Method Summary
`String` | `getCommentString()` Returns a comment on the `MeasureParameters.Measure`.
`String` | `getNameString()` Returns the name of the `MeasureParameters.Measure`.
`static MeasureParameters.Measure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MeasureParameters.Measure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ClassificationRate

    public static final MeasureParameters.Measure ClassificationRate

  The ratio of correctly classified sequences and all sequences.

### Sensitivity

    public static final MeasureParameters.Measure Sensitivity

  The sensitivity TP / (TP + FN) for a fixed, previously chosen specificity TN / (FP + TN).

### FalsePositiveRate

    public static final MeasureParameters.Measure FalsePositiveRate

  The false positive rate FP / (FP + TN) for a fixed, previously chosen sensitivity TP / (TP + FN).

### PositivePredictiveValue

    public static final MeasureParameters.Measure PositivePredictiveValue

  The positive predictive value TP / (TP+FP) for a fixed, previously chosen sensitivity TP / (TP + FN).

### AreaUnderROCCurve

    public static final MeasureParameters.Measure AreaUnderROCCurve

  The area under the receiver operating characteristic (ROC) curve.

### AreaUnderPrecisionRecallCurve

    public static final MeasureParameters.Measure AreaUnderPrecisionRecallCurve

  The area under the precision recall (PR) curve.

### MaximumCorrelationCoefficient

    public static final MeasureParameters.Measure MaximumCorrelationCoefficient

  The maximum of all possible correlation coefficients.

### PartialROCCurve

    public static final MeasureParameters.Measure PartialROCCurve

  A part of the ROC curve on a grid between minimum and maximum specificity.

### ReceiverOperatingCharacteristicCurve

    public static final MeasureParameters.Measure ReceiverOperatingCharacteristicCurve

  The points of the receiver operating characteristic (ROC) curve.

### PrecisionRecallCurve

    public static final MeasureParameters.Measure PrecisionRecallCurve

  The points of the precision recall (PR) curve.

Method Detail

### values

    public static MeasureParameters.Measure[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MeasureParameters.Measure c : MeasureParameters.Measure.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MeasureParameters.Measure valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getNameString

    public String getNameString()

  Returns the name of the `MeasureParameters.Measure`.

  Returns:
    the name

### getCommentString

    public String getCommentString()

  Returns a comment on the `MeasureParameters.Measure`.

  Returns:
    the comment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD